%define name rpmproc
%define version 1.2
%define release 1mdk

Name:		%{name}
Summary:	Perl script to help manage and build RPM packages
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
URL:		http://www.freezer-burn.org/rpmproc.php3
Source:		%{name}-%{version}.tar.bz2
Requires:	perl-Mail-Sendmail, rpmlint, rpm
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
rpmproc is a simple Perl program to help manage and build RPM packages for
those who want an easy wrapper to build RPMs.  rpmproc supports announcing
changelogs to a mailing list using either qmail or sendmail, signing RPMs,
uploading to a user-defined "contribs" site as well as uploading to a local
directory (ie. for systems that also make their RPMs available via FTP).


%prep -q
%setup

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/rpmproc $RPM_BUILD_ROOT/usr/bin


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%doc README COPYING COPYRIGHT
%{_prefix}/bin/rpmproc


%changelog
* Fri Apr 05 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-1mdk
- first public release
